<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Release Notes for NUCLEO-L476RG LL Examples</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="../../../_htmresc/mini-st.css" />
  <!--[if lt IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv-printshiv.min.js"></script>
  <![endif]-->
</head>
<body>
<div class="row">
<div class="col-sm-12 col-lg-4">
<div class="card fluid">
<div class="sectione dark">
<center>
<h1 id="release-notes-for-nucleo-l476rg-ll-examples"><small>Release Notes for</small> <mark>NUCLEO-L476RG LL Examples</mark></h1>
<p>Copyright © 2017 STMicroelectronics<br />
</p>
<a href="https://www.st.com" class="logo"><img src="../../../_htmresc/st_logo.png" alt="ST logo" /></a>
</center>
</div>
</div>
<h1 id="license">License</h1>
<p>Licensed by ST under BSD 3-Clause license (the "License"). You may not use this package except in compliance with the License. You may obtain a copy of the License at:</p>
<p><a href="https://opensource.org/licenses/BSD-3-Clause">https://opensource.org/licenses/BSD-3-Clause</a></p>
<h1 id="purpose">Purpose</h1>
<p>This directory contains the LL examples to demonstrate the capabilities of the NUCLEO-L476RG Kit.</p>
</div>
<div class="col-sm-12 col-lg-8">
<h1 id="update-history">Update History</h1>
<div class="collapse">
<input type="checkbox" id="collapse-section19" checked aria-hidden="true"> <label for="collapse-section19" aria-hidden="true">V1.14.0 / 03-April-2019</label>
<div>
<h2 id="main-changes">Main Changes</h2>
<ul>
<li>RTC_Tamper example
<ul>
<li>Ensure button press status flag is reset after back-up registers are written</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section18" aria-hidden="true"> <label for="collapse-section18" aria-hidden="true">V1.13.0 / 27-July-2018</label>
<div>
<h2 id="no-change">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section17" aria-hidden="true"> <label for="collapse-section17" aria-hidden="true">V1.12.0 / 22-May-2018</label>
<div>
<h2 id="no-change-1">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section16" aria-hidden="true"> <label for="collapse-section16" aria-hidden="true">V1.11.0 / 22-December-2017</label>
<div>
<h2 id="no-change-2">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section15" aria-hidden="true"> <label for="collapse-section15" aria-hidden="true">V1.10.0 / 13-October-2017</label>
<div>
<h2 id="no-change-3">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section14" aria-hidden="true"> <label for="collapse-section14" aria-hidden="true">V1.9.0 / 25-August-2017</label>
<div>
<h2 id="no-change-4">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section13" aria-hidden="true"> <label for="collapse-section13" aria-hidden="true">V1.8.1 / 16-June-2017</label>
<div>
<h2 id="no-change-5">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section12" aria-hidden="true"> <label for="collapse-section12" aria-hidden="true">V1.8.0 / 21-April-2017</label>
<div>
<h2 id="no-change-6">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section11" aria-hidden="true"> <label for="collapse-section11" aria-hidden="true">V1.7.0 / 17-February-2017</label>
<div>
<h2 id="no-change-7">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section10" aria-hidden="true"> <label for="collapse-section10" aria-hidden="true">V1.6.0 / 28-October-2016</label>
<div>
<h2 id="no-change-8">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section9" aria-hidden="true"> <label for="collapse-section9" aria-hidden="true">V1.5.2 / 12-September-2016</label>
<div>
<h2 id="main-changes-1">Main Changes</h2>
<ul>
<li><p>New LL examples:</p>
<ul>
<li>COMP_CompareGpioVsVrefInt_OutputGpio</li>
<li>COMP_CompareGpioVsVrefInt_Window_IT<br />
</li>
</ul></li>
<li><p>LL OPAMP examples:</p>
<ul>
<li>Fix compilation issue</li>
</ul></li>
<li><p>RTC_Calendar:</p>
<ul>
<li>Rework RTC source clock configuration</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section8" aria-hidden="true"> <label for="collapse-section8" aria-hidden="true">V1.5.0 / 29-April-2016</label>
<div>
<h2 id="main-changes-2">Main Changes</h2>
<ul>
<li><p>LL ADC examples:</p>
<ul>
<li>Fix end of calibration check</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section7" aria-hidden="true"> <label for="collapse-section7" aria-hidden="true">V1.4.0 / 26-February-2016</label>
<div>
<h2 id="main-changes-3">Main Changes</h2>
<ul>
<li><p>Update of examples to comply with LL GPIO Driver API(LL_GPIO_SPEED_HIGH renamed to LL_GPIO_SPEED_FREQ_VERY_HIGH)</p>
<ul>
<li>All I2C, LPTIM, LPUART, SPI, TIM and USART examples</li>
<li>RCC_HWAutoMSICalibration and RCC_OutputSystemClockOnMCO</li>
<li>UTILS_ConfigureSystemClock</li>
</ul></li>
<li><p>Update TIM_InputCapture example to fix input frequency wrong computation</p></li>
<li><p>Update USART_WakeUpFromStop1, LPUART_WakeUpFromStop2 and LPUART_WakeUpFromStop2_Init to correct LL_GPIO_PULL_NO for power consumption improvement on wake up from stop modes</p></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section6" aria-hidden="true"> <label for="collapse-section6" aria-hidden="true">V1.3.0 / 29-January-2016</label>
<div>
<h2 id="main-changes-4">Main Changes</h2>
<ul>
<li><p>Add new Low Layer examples that use Low Layer initialization functions (examples are prefixed with _Init):</p>
<ul>
<li>ADC_ContinuousConversion_TriggerSW_Init</li>
<li>COMP_CompareWithInternalReference_IT_Init</li>
<li>DAC_GenerateWaveform_TriggerHW_Init</li>
<li>DMA_CopyFromFlashToMemory_Init</li>
<li>EXTI_ToggleLedOnIT_Init</li>
<li>GPIO_InfiniteLedOnToggling_Init</li>
<li>I2C_OneBoard_Communication_IT_Init</li>
<li>LPTIM_PulseCounter_Init</li>
<li>LPUART_WakeUpFromStop2_Init</li>
<li>OPAMP_PGA_Init</li>
<li>RTC_Alarm_Init</li>
<li>SPI_OneBoard_HalfDuplex_DMA_Init</li>
<li>SWPMI_Loopback_MultiSWBuffer_Init</li>
<li>TIM_PWMOutput_Init</li>
<li>USART_Communication_Rx_IT_Init<br />
</li>
</ul></li>
<li><p>Add example UTILS_ConfigureSystemClock to demonstrate new LL API offer by LL UTILS</p></li>
<li><p>[Add example ADC_TemperatureSensor</p></li>
<li><p>Update of all examples projects with latest system_stm32l4xx.c from STM32L4xx CMSIS Device</p></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section5" aria-hidden="true"> <label for="collapse-section5" aria-hidden="true">V1.2.0 / 25-November-2015</label>
<div>
<h2 id="main-changes-5">Main Changes</h2>
<ul>
<li><p>LPTIM_PulseCounter and USART_WakeUpFromStop1 examples:</p>
<ul>
<li>Update LL_PWR_SetPowerMode(LL_PWR_MODE_STOP1) call to enter Stop 1 mode since LL PWR API change.</li>
</ul></li>
<li><p>TIM_InputCapture example:</p>
<ul>
<li>Fix computation.</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section4" aria-hidden="true"> <label for="collapse-section4" aria-hidden="true">V1.1.1 / 16-October-2015</label>
<div>
<h2 id="no-change-9">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section3" aria-hidden="true"> <label for="collapse-section3" aria-hidden="true">V1.1.0 / 16-September-2015</label>
<div>
<h2 id="main-changes-6">Main Changes</h2>
<ul>
<li>First official release</li>
</ul>
</div>
</div>
</div>
</div>
<footer class="sticky">
For complete documentation on <mark>STM32 Microcontrollers</mark> , visit: <a href="http://www.st.com/STM32">http://www.st.com/STM32</a>
</footer>
</body>
</html>
